# Copyright (c) 2013 BaseSoft B.V.
# See LICENSE for details.

from django.conf.urls.defaults import patterns, url

from basesoft.web.contrib.soap.adapters._django import serve

from pvcycle.core.views import view_contract, view_certificate
from pvcycle.core.server import server

urlpatterns = patterns ('',
    url(r'^view_contract/(.*)$', view_contract),
    url(r'^view_certificate/(.*)$', view_certificate),
    url(r'^api/(.*)', serve, {'server': server})
)
