# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'pvc_logistics': {
        'type': "js",
        'path': "logistics-min.js",
        'requires': ["pvc_core"]
    },

    'pvc_delivery_request_details': {
        'type': "js",
        'path': "delivery_request_details-min.js",
        'requires': ["pvc_logistics", "iq_details_panel", 'iq_fancyselect', ]
    },

    'pvc_delivery_request_manager': {
        'type': "js",
        'path': "delivery_request_manager-min.js",
        'requires': ["pvc_logistics", "iq_cq_manager", ]
    },

    'pvc_delivery_request_widget': {
        'type': "js",
        'path': "delivery_request_manager-min.js",
        'requires': ["pvc_delivery_request_manager", ]
    },

    'pvc_pickup_request_details': {
        'type': "js",
        'path': "pickup_request_details-min.js",
        'requires': ["pvc_logistics", "iq_details_panel", ]
    },

    'pvc_pickup_request_manager': {
        'type': "js",
        'path': "pickup_request_manager-min.js",
        'requires': ["pvc_logistics", "iq_cq_manager", ]
    },

    'pvc_pickup_request_widget': {
        'type': "js",
        'path': "pickup_request_manager-min.js",
        'requires': ["pvc_pickup_request_manager", ]
    },

    'pvc_waste_tracking_form': {
        'type': "js",
        'path': "waste_tracking_form-min.js",
        'requires': ["pvc_logistics", ]
    },

    'pvc_logistics_home': {
        'type': "js",
        'path': "public_home-min.js",
        'requires': ['pvc_logistics_home_scss', "pvc_logistics", 'iq_container', 'iq_registration_dialog', 'iq_registration_form', 'iq_dialog']
    },

    'pvc_logistics_home_scss':  {
        'type': "scss",
        'path': "public_home-min.scss",
    },

    'pvc_logistics_delivery_graph_widget': {
        'type': "js",
        'path': 'graph_widget-min.js',
        'requires': ["pvc_logistics", 'abstract_dynamic_table_item']
    },

    'pvc_logistics_pickup_graph_widget': {
        'type': "js",
        'path': 'graph_widget-min.js',
        'requires': ["pvc_logistics", 'abstract_dynamic_table_item']
    },

    'pvc_logistics_feedback_panel': {
        'type': "es6",
        'path': 'feedback_panel-min.es6',
        'requires': ['pvc_logistics', 'pvc_logistics_feedback_panel_scss']
    },

    'pvc_logistics_feedback_panel_scss': {
        'type': 'scss',
        'path': 'feedback_panel-min.scss'
    }



}