# Copyright (c) 2013 BaseSoft B.V.
# See LICENSE for details.

from django.utils.translation import ugettext as _
from django.shortcuts import render_to_response
from django.utils import simplejson
from django.template.context import RequestContext
from pvcycle.logistics.controllers import PvcLogisticsController


def delivery_request_transport(request, params):

    print 'params: %s' % params
    params = simplejson.loads(params)

    controller = PvcLogisticsController(request.Session(), account_id=request.session['user_id'], request=request)
    delivery_request = controller.get_delivery_request(params['delivery_request_id'])


    return render_to_response('pvcycle/logistics/delivery_request_transport.html', {
        'params': params,
        'delivery_request': delivery_request,
        #'base_requires': ['pvc_contract_scss'],
        #'theme_css': 'pvc-contract'
    }, context_instance=RequestContext(request))



