'''
Created on Jun 19, 2014

@author: rado
'''
from pvcycle.order.configurable_widgets.declaration_result import DeclarationResultWidget
from pvcycle.order.configurable_widgets.contribution_result import ContributionResultWidget
from pvcycle.order.configurable_widgets.order_result import PvcOrderResultWidget


def procedures():

    return [
        """
        DROP VIEW IF EXISTS `viewPvcIsFullMember`
        """,
        """
        CREATE VIEW viewPvcIsFullMember AS
        SELECT 0 as 'is_full_member', 'Non-full Member' as 'is_full_member_label'
        UNION
        SELECT 1 as 'is_full_member', 'Full Member' as 'is_full_member_label'
        """,
        """
        DROP VIEW IF EXISTS `viewPvcHasVotingRights`
        """,
        """
        CREATE VIEW viewPvcHasVotingRights AS
        SELECT 0 as 'has_voting_rights', 'No voting rights' as 'has_voting_rights_label'
        UNION
        SELECT 1 as 'has_voting_rights', 'Has voting rights' as 'has_voting_rights_label'
        """
        ]

configurable_widgets = (DeclarationResultWidget, PvcOrderResultWidget, ContributionResultWidget, )