'''
Created on Oct 10, 2013

@author: marten
'''
modules = {

    'pvc_order': {
        'type': "js",
        'path': "order-min.js",
        'requires': ['pvc_core']
    },

    'pvc_order_manager' : {
        'type': "js",
        'path': "order_manager-min.js",
        'requires': ['pvc_order', 'iq_order_manager']
    },

    'pvc_db_order_overview_widget' : {
        'type': "js",
        'path': "order_widget-min.js",
        'requires': ['pvc_order_manager']
    },

    'pvc_order_details' : {
        'type': "js",
        'path': "order_details-min.js",
        'requires': ['pvc_order', 'iq_order_details']
    },

    'pvc_declaration_manager' : {
        'type': "js",
        'path': "declaration_manager-min.js",
        'requires': ['pvc_order', 'iq_order_manager']
    },

    'pvc_outstanding_declarations' : {
        'type': "js",
        'path': "declaration_manager-min.js",
        'requires': ['pvc_order', 'iq_order_manager']
    },

    'pvc_contribution_manager' : {
        'type': "js",
        'path': "contribution_manager-min.js",
        'requires': ['pvc_order', 'iq_order_manager']
    },

    'pvc_outstanding_contributions' : {
        'type': "js",
        'path': "contribution_manager-min.js",
        'requires': ['pvc_order', 'iq_order_manager']
    },

    'pvc_db_contribution_overview_widget' : {
        'type': "js",
        'path': "contribution_widget-min.js",
        'requires': ['pvc_contribution_manager']
    },

    'pvc_db_outstanding_contribution_widget' : {
        'type': "js",
        'path': "contribution_widget-min.js",
        'requires': ['pvc_outstanding_contributions']
    },

    'pvc_declaration_details' : {
        'type': "js",
        'path': "declaration_details-min.js",
        'requires': ['pvc_order', 'iq_order_details', 'pvc_pv_module', 'iq_dialog']
    },

    'pvc_contribution_details' : {
        'type': "js",
        'path': "contribution_details-min.js",
        'requires': ['pvc_order', 'pvc_product', "autocomplete", 'iq_datasource', 'iq_order_details', 'iq_fancyselect', 'iq_dialog', 'pvc_contribution_details_scss']
    },

    'pvc_contribution_details_scss' : {
        'type': "scss",
        'path': "contribution_details-min.scss",
    },

    'pvc_declaration_select' : {
        'type': "js",
        'path': "declaration_select-min.js",
        'requires': ['pvc_order', 'iq_details_panel']
    },

    'pvc_contribution_select' : {
        'type': "js",
        'path': "contribution_select-min.js",
        'requires': ['pvc_order', 'iq_details_panel']
    },

    'pvc_db_declaration_overview_widget' : {
        'type': "js",
        'path': "declaration_widget-min.js",
        'requires': ['pvc_declaration_manager']
    },

    'pvc_db_outstanding_declaration_widget' : {
        'type': "js",
        'path': "declaration_widget-min.js",
        'requires': ['pvc_outstanding_declarations']
    },

    'pvc_payment_method_manager' : {
        'type': "js",
        'path': "payment_method_manager-min.js",
        'requires': ['pvc_order', 'iq_payment_method_manager']
    },

    'pvc_declaration_report_item' : {
        'type': "js",
        'path': "declaration_report_item-min.js",
        'requires': ['pvc_order', 'iqube_configurable_widget']
     },

    'pvc_contribution_report_item' : {
        'type': "js",
        'path': "contribution_report_item-min.js",
        'requires': ['pvc_order', 'iqube_configurable_widget']
     },

}
