# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'pvc_product': {
        'type': "js",
        'path': "product-min.js",
        'requires': ["pvc_core"]
    },

    'pvc_tbs_product_manager': {
        'type': "js",
        'path': "tbs_product_manager-min.js",
        'requires': ["pvc_product", "iq_manager", "iq_custom_query", ]
    },

    'pvc_db_tbs_product_overview_widget': {
        'type': "js",
        'path': "tbs_product_manager-min.js",
        'requires': ["pvc_tbs_product_manager"]
    },

    'pvc_tbs_product_select': {
        'type': "js",
        'path': "tbs_product_select-min.js",
        'requires': ["pvc_product", "iq_details_panel", 'iq_form_manager', 'pvc_tbs_product_select_scss', ]
    },

    'pvc_tbs_product_select_scss': {
        'type': "scss",
        'path': "tbs_product_select-min.scss",
    },

    'pvc_tbs_member_product_manager': {
        'type': "js",
        'path': "tbs_member_product_manager-min.js",
        'requires': ['pvc_product', "autocomplete", 'iq_datasource', 'iq_cq_manager', 'iq_details_panel', 'pvc_tbs_member_product_manager_scss']
    },

    'pvc_tbs_member_product_select': {
        'type': "js",
        'path': "tbs_member_product_manager-min.js",
        'requires': ['pvc_tbs_member_product_manager']
    },

    'pvc_tbs_member_product_manager_scss': {
        'type': "scss",
        'path': "tbs_member_product_manager-min.scss",
    },

    'pvc_db_tbs_member_product_overview_widget': {
        'type': "js",
        'path': "tbs_member_product_manager-min.js",
        'requires': ['pvc_tbs_member_product_manager']
    },

    'pvc_brand_manager': {
        'type': "js",
        'path': "brand_manager-min.js",
        'requires': ['pvc_product', 'iq_cq_manager']
    },

    'pvc_db_brand_overview': {
        'type': "js",
        'path': "brand_manager-min.js",
        'requires': ['pvc_brand_manager']
    },

    'pvc_tbs_product_fee': {
        'type': "js",
        'path': "tbs_product_fee-min.js",
        'requires': ['pvc_product', 'iq_form_manager', 'iq_container', 'pvc_tbs_product_select_scss']
    },

}