'''
Created on Aug 26, 2013

@author: marten
'''

class PvcPVModuleSupplier(object):
    """
    @DynamicAttrs
    """
    def __repr__(self):
        return '<PvcPvModuleSupplier name="%s">' % self.name

class PvcPVModuleType(object):
    """
    @DynamicAttrs
    """
    def __repr__(self):
        return '<PvcPvModuleType name="%s">' % self.name

class PvcPVModuleCellType(object):
    """
    @DynamicAttrs
    """
    pass

class PvcPVModule(object):
    """
    Photon Voltaic Modules.
    @DynamicAttrs
    """
    PV_MODULE_STATUS_PENDING = 0
    PV_MODULE_STATUS_APPROVED = 1
    PV_MODULE_STATUS_REJECTED = 2

    def __repr__(self):
        return '<PvcPVModule id="%s" supplier="%s" type="%s">' % (self.id, self.supplier, self.type)

class PvcTbsMemberPVModule(object):
    """
    @DynamicAttrs
    """
    IS_INACTIVE = 0
    IS_ACTIVE = 1
    IS_OBSOLETE = 2

    COMMISSIONER_APPROVAL_STATUS_PENDING = 0
    COMMISSIONER_APPROVAL_STATUS_APPROVED = 1
    COMMISSIONER_APPROVAL_STATUS_REJECTED = 2

    def __repr__(self):
        return '<PvcTbsMemberPVModule id="%s">' % self.id

