# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'pvc_report': {
        'type': "js",
        'path': "report-min.js",
        'requires': ["pvc_core"]
    },

    'pvc_historical_data_manager' : {
        'type': "js",
        'path': "historical_data_manager-min.js",
        'requires': ["pvc_report", "iq_manager", "iq_custom_query", ]
    },

    'pvc_db_historical_data_widget' : {
        'type': "js",
        'path': "historical_data_widget-min.js",
        'requires': ["pvc_historical_data_manager", ]
    },

   'pvc_historical_data_details' : {
        'type': "js",
        'path': "historical_data_details-min.js",
        'requires': ["pvc_report", "iq_details_panel", 'iq_form_manager', ]
    },

    'pvc_historical_data_batch' : {
        'type': "js",
        'path': "historical_data_batch-min.js",
        'requires': ["pvc_report", "iq_details_panel", 'iq_form_manager', 'pvc_historical_data_batch_scss', ]
    },

    'pvc_historical_data_batch_scss' : {
        'type': "scss",
        'path': "historical_data_batch-min.scss"
    },
}
