'''
Created on Feb 27, 2014

@author: marten
'''
from basesoft.scheduler.task import ScheduleTask
from basesoft.scheduler.crontab import CronTab
from pvcycle.report.controllers import PvcHistoricalDataController

class AggregateDeclarationTask(ScheduleTask):
    # Run every day at 0:55 (after declaration closure)
    INTERVAL = CronTab('55 0 * * *')

    def execute(self):
        c = PvcHistoricalDataController(self.sa_session)
        c.aggregate_declaration_data()