# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

from pvcycle.settings.buildbot import *
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities

DB_CONNSTR = 'mysql://buildbot:buildbot@testorix.dev.ams:3306/pvcycle_buildbot_ie?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://buildbot_ro:buildbot@testorix.dev.ams:3306/pvcycle_buildbot_ie?charset=utf8'

BUILDBOT_INSTANCE = 'pvcycle-ie'
BUILDBOT_BASE = '/var/lib/buildbot/slaves/pvcycle-slave1/builder_ie'
BUILDBOT_DJANGO_PORT = 8004
BUILDBOT_SCHEDULER_PORT = 8046

for k,v in setup_buildbot(vars().copy()).iteritems():
    vars()[k] = v

SELENIUM_PYTHONPATH = '/var/lib/buildbot/slaves/pvcycle-slave1/builder_ie/pvcycle:' + SELENIUM_PYTHONPATH

# disable iqube
IQUBE_SERVLET = None

# override browser
SELENIUM['desired_capabilities'] = DesiredCapabilities.INTERNETEXPLORER
