# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'pvc_subrogation': {
        'type': "js",
        'path': "subrogation-min.js",
        'requires': ["pvc_core", ]
    },

    'pvc_subrogation_manager': {
        'type': "js",
        'path': "subrogation_manager-min.js",
        'requires': ["pvc_subrogation", "iq_manager", "iq_custom_query"]
    },

    'pvc_db_subrogation_widget': {
        'type': "js",
        'path': "subrogation_widget-min.js",
        'requires': ["pvc_subrogation_manager", ]
    },

    'pvc_subrogation_request': {
        'type': "js",
        'path': "subrogation_request-min.js",
        'requires': ["pvc_subrogation", "iq_details_panel", 'iq_form_manager', ]
    },

    'pvc_subrogation_match': {
        'type': "js",
        'path': "subrogation_match-min.js",
        'requires': ["pvc_subrogation", "iq_details_panel", 'iq_form_manager', 'pvc_subrogation_match_scss', ]
    },

    'pvc_subrogation_match_scss': {
        'type': "scss",
        'path': "subrogation_match-min.scss"
    },

    'pvc_subrogation_mandate_details': {
        'type': "js",
        'path': "subrogation_mandate_details-min.js",
        'requires': ["pvc_subrogation", "iq_details_panel", 'iq_wiki_input', ]
    },

    'pvc_subrogation_details': {
        'type': "js",
        'path': "subrogation_details-min.js",
        'requires': ["pvc_subrogation", "iq_details_panel", 'iq_form_manager', 'uploader', 'pvc_subrogation_details_scss', ]
    },

    'pvc_subrogation_details_scss': {
        'type': "scss",
        'path': "subrogation_details-min.scss"
    },

    'pvc_pv_module_subrogation_manager': {
        'type': 'js',
        'path': 'subrogation_pv_module_manager-min.js',
        'requires': ["pvc_pv_module", "pvc_subrogation", "iq_manager", "iq_custom_query", ]
    },

    'pvc_subrogation_product_manager': {
        'type': 'js',
        'path': 'subrogation_product_manager-min.js',
        'requires': ["pvc_product", "pvc_subrogation", "iq_cq_manager", ]
    }

}
