# Copyright (c) 2016 BaseSoft B.V.
# See LICENSE for details.
from basesoft.web.contrib.license.models import RoleConfig


def post_sync(sa_session, app_name):
    if app_name != 'basesoft.web.contrib.account':
        return

    # if the test app is enabled for PV CYCLE we remove any account configs from the roles
    # this way we can still use the icon bar for selenium testing

    q = sa_session.query(RoleConfig).filter(RoleConfig.is_license==False)
    for config in q:
        sa_session.delete(config)
