'''
Created on Nov 13, 2013

@author: marten
'''
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class UserAcceptanceTestingToolsWidget(DashboardWidgetStateController):
    """
    PVC User Acceptance Testing tools widget.
    """
    label = _('Testing tools')
    name = 'pvc_uat_tools_widget'
    icon = '16x16/apps/office-calendar.png'
    category = 'PVC Acceptance Testing'
    permissions = ['pvc_user_acceptance_testing']

widgets_mapper = OrderedDict([
    ('UserAcceptanceTestingToolsWidget', UserAcceptanceTestingToolsWidget)
])