'''
Created on Nov 13, 2013

@author: marten
'''

from basesoft.web.contrib.license import models as license_models

__mapping_defined = False
__tables_defined = False
tables = {}

def reset():
    global __mapping_defined
    global __tables_defined

    __mapping_defined = False
    __tables_defined = False

def get_tables():
    return tables

def do_tables(metadata):
    """
    This function is called by Django middleware when needed.
    """
    global __tables_defined
    if __tables_defined:
        return

    __tables_defined = True

def do_mappings():
    """
    This function is called by Django middleware when needed.
    """
    global __mapping_defined
    if __mapping_defined:
        return

    __mappings_defined = True

def fill_data(conn):
    pass

def app_permissions_category():
    """
    Returns a category for all permissions defined for this app
    """
    return license_models.PermissionCategory(u'PVC User Acceptance Testing')

def app_permissions():
    from django.utils.translation import ugettext as _
    return [

        license_models.Permission(u'pvc_user_acceptance_testing', u"""
            This gives the right to use PVC User Acceptance Testing tools
            """, _("PVC User Acceptance Testing")),

    ]
