#!/usr/bin/env python
'''
Created on Sep 17, 2013

@author: marten
'''
import sys

from django.conf import settings

from basesoft.web.core.util.db import DatabaseSession
from basesoft.web.contrib.account.models import Account

from pvcycle.test.controllers import PvcController

if __name__ == "__main__":
    if settings._wrapped.SETTINGS_MODULE  in ['basesoft.settings.stable', 'basesoft.settings.sandbox']:
        sys.stderr.write("Can't run populate with current settings")
        sys.exit(1)
    # TODO: args to skip certain actions

    sa_session = DatabaseSession().Session

    account = sa_session.query(Account).filter(Account.name=='sysadmin').one()

    c = PvcController(sa_session, account_id=account.id)
    c.populate_pvcycle_domain()
