'''
Created on 22 Jul 2013

@author: martijn
'''

modules = {

    'pvc_core': {
        'type': "js",
        'path': "core-min.js",
        'requires': ["iq_core",]
    },


    'pvc_public_home': {
        'type': "js",
        'path': "public_home-min.js",
        'requires': ['pvc_public_scss', "pvc_core", 'iq_container', 'iq_registration_dialog', 'iq_registration_form', 'iq_dialog']
    },

    'pvc_public_scss': {
        'type': "scss",
        'path': "public_home-min.scss",
    },

    'pvc_accountant_manager' :{
        'type': "js",
        'path': "accountant_manager-min.js",
        'requires': ["pvc_core", "iq_license_manager", ]
    },

    'pvc_accountant_details' :{
        'type': "js",
        'path': "accountant_details-min.js",
        'requires': ["pvc_core", 'iq_company_form', 'iq_address_form', 'iq_person_form', 'iq_bank_account_form']
    },

    'pvc_db_accountant_overview_widget': {
        'type': "js",
        'path': "accountant_widget-min.js",
        'requires': ['pvc_accountant_manager']
    },

    'pvc_tbs_manager' :{
        'type': "js",
        'path': "tbs_manager-min.js",
        'requires': ["pvc_core", 'iq_details_panel', 'iq_wiki_input', "iq_license_manager", ]
    },

    'pvc_tbs_service_level_manager': {
        'type': "js",
        'path': "tbs_service_level_manager-min.js",
        'requires': ["pvc_core", "iq_manager", "iq_custom_query", "pvc_tbs_service_level_manager_scss" ]
    },

    'pvc_tbs_service_level_manager_scss': {
        'type': "scss",
        'path': "tbs_service_level_manager-min.scss",
    },

    'pvc_tbs_service_level_details': {
        'type': 'js',
        'path': "tbs_service_level_details-min.js",
        'requires': ["pvc_core", 'pvc_product', 'iq_details_panel', 'iq_wiki_input', 'pvc_tbs_service_level_details_scss']
    },

    'pvc_tbs_service_level_details_scss' : {
        'type': 'scss',
        'path': "tbs_service_level_details-min.scss",
    },

    'pvc_db_tbs_service_level_widget': {
        'type': "js",
        'path': "tbs_service_level_widget-min.js",
        'requires': ['pvc_tbs_service_level_manager']
    },

    'pvc_db_document_widget': {
        'type': "js",
        'path': "document_widget-min.js",
        'requires': ['pvc_core', 'iq_dashboard', 'iq_cq_manager']
    },

    'pvc_tbs_membership_manager' : {
        'type': "js",
        'path': "tbs_membership_manager-min.js",
        'requires': ["pvc_core", "iq_manager", "iq_custom_query" ]
    },

    'pvc_tbs_membership_details': {
        'type': 'js',
        'path': "tbs_membership_details-min.js",
        'requires': ["pvc_core", 'iq_details_panel', ]
    },

    'pvc_tbs_certificate_manager': {
        'type': "js",
        'path': "tbs_certificate_manager-min.js",
        'requires': ["pvc_core", "iq_manager", "iq_custom_query" ]
    },

    'pvc_db_tbs_certificate_widget': {
        'type': "js",
        'path': "tbs_certificate_widget-min.js",
        'requires': ["pvc_tbs_certificate_manager" ]
    },

    'pvc_tbs_certificate_details': {
        'type': 'js',
        'path': "tbs_certificate_details-min.js",
        'requires': ["pvc_core", 'iq_details_panel', 'iq_wiki_input', 'pvc_tbs_certificate_details_scss']
    },

    'pvc_tbs_certificate_details_scss' : {
        'type': 'scss',
        'path': "tbs_certificate_details-min.scss",
    },

    'pvc_member_certificate_manager': {
        'type': "js",
        'path': "member_certificate_manager-min.js",
        'requires': ["pvc_core", "iq_manager", "iq_custom_query" ]
    },

    'pvc_db_member_certificate_widget': {
        'type': "js",
        'path': "member_certificate_widget-min.js",
        'requires': ["pvc_member_certificate_manager" ]
    },

    'pvc_tbs_details' :{
        'type': "js",
        'path': "tbs_details-min.js",
        'requires': ["pvc_core", 'iq_license_forms', 'iq_company_form', 'iq_address_form', 'pvc_person_form', 'iq_bank_account_form']
    },

    'pvc_tbs_settings' : {
        'type': "js",
        'path': "tbs_settings-min.js",
        'requires': ["pvc_core", 'iq_license_forms', 'iq_details_panel', 'iq_wiki_input', 'pvc_tbs_settings_scss'],
    },

    'pvc_tbs_settings_scss': {
        'type': "scss",
        'path': "tbs_settings-min.scss",
    },

    'pvc_db_tbs_overview_widget': {
        'type': "js",
        'path': "tbs_widget-min.js",
        'requires': ['pvc_tbs_manager']
    },

    'pvc_member_post_login': {
        'type': "js",
        'path': "member_post_login-min.js",
    },

    'pvc_member_wizard' :{
        'type': "js",
        'path': "member_wizard-min.js",
        'requires': ['pvc_member_wizard_scss', "pvc_core", 'pvc_company_form', 'pvc_address_form',
                     'pvc_person_form', 'pvc_bank_account_form', 'iq_wizard', 'uploader', 'iq_form_checkbox']
    },

    'pvc_member_wizard_scss' :{
        'type': "scss",
        'path': "member_wizard-min.scss",
    },

    'pvcycle_theme_env' :{
        'type': "js",
        'path': "themes/pvcycle/theme_env-min.js",
        'requires': ["default_theme_env"]
    },

    'pvcycle_mixins_default_scss': {
        'type': 'scss',
        'path': 'themes/pvcycle/pvcycle_mixins-min.scss',
        'requires': ['iq_core_scss']
    },

    'pvcycle_theme_default_scss': {
        'type': 'scss',
        'path': 'themes/pvcycle/main-min.scss',
        'requires': ['pvcycle_mixins_default_scss']
    },

    'pvcycle_scss': {
        'type': 'scss',
        'path': 'themes/pvcycle/pvcycle-min.scss',
        'requires': ['iq_iconbar_scss']
    },

    'pvcycle_theme_default': {
        'type': 'css',
        'path': 'themes/pvcycle/main-min.css',
        'requires': ['skin-sam-layout', 'pvcycle_theme_env', 'pvcycle_theme_default_scss', 'standard_theme_scss', 'pvcycle_scss']  # skin-sam-layout comes from yui
    },

    'pvc_member_manager' :{
        'type': "js",
        'path': "member_manager-min.js",
        'requires': ["pvc_core", "iq_license_manager", ]
    },

    'pvc_member_account_manager': {
        'type': "js",
        'path': "member_account_manager-min.js",
        'requires': ["pvc_core", "iq_manager", "iq_custom_query" ]
    },

    'pvc_member_account_widget' : {
        'type': "js",
        'path': "member_account_manager-min.js",
        'requires': ["pvc_core", "iq_manager", "iq_custom_query" ]
    },

    'pvc_member_details' :{
        'type': "js",
        'path': "member_details-min.js",
        'requires': ['pvc_member_details_scss', "pvc_core", 'iq_details_panel', 'uploader']
    },

    'pvc_member_details_scss': {
        'type': 'scss',
        'path': 'member_details-min.scss',
    },

    'pvc_db_member_overview_widget': {
        'type': "js",
        'path': "member_widget-min.js",
        'requires': ['pvc_member_manager']
    },

    'pvc_member_progress_manager': {
        'type': "js",
        'path': "member_progress-min.js",
        'requires': ["pvc_core", "pvc_member_manager"]
    },

    'pvc_tbs_member_settings' : {
        'type': "js",
        'path': "tbs_member_settings-min.js",
        'requires': ["pvc_core", "iq_details_panel", 'iq_form_checkbox']
    },

    'pvc_db_member_progress_widget': {
        'type': "js",
        'path': "member_progress_widget-min.js",
        'requires': ["pvc_core", 'pvc_member_progress_manager',
                      #"pvc_member_manager"
                     ]
    },

    'pvc_contract_scss': {
        'type': 'scss',
        'path': 'contract-min.scss',
        'requires': ['iq_wiki_mixins_scss']
    },

    'pvc_certificate_scss': {
        'type': 'scss',
        'path': 'certificate-min.scss',
        'requires': ['iq_wiki_mixins_scss']
    },

    'pvc_member_apply_at_tbs' : {
        'type': "js",
        'path': "member_apply_at_tbs-min.js",
        'requires': ["pvc_member_wizard"]
    },

    'pvc_company_form' : {
        'type': "js",
        'path': "company_form-min.js",
        'requires': ["pvc_core", "iq_company_form"]
    },

    'pvc_person_form' : {
        'type': "js",
        'path': "person_form-min.js",
        'requires': ["pvc_core", "iq_person_form"]
    },

   'pvc_address_form' : {
        'type': "js",
        'path': "address_form-min.js",
        'requires': ["pvc_core", "iq_address_form"]
    },

    'pvc_bank_account_form' : {
        'type': "js",
        'path': "bank_account_form-min.js",
        'requires': ["pvc_core", "iq_bank_account_form"]
    },

    'pvc_db_today_widget': {
        'type': 'js',
        'path': "today_widget-min.js",
        'requires': ["pvc_core", 'pvc_db_today_widget_scss']
    },
    'pvc_db_today_widget_scss' : {
        'type': 'scss',
        'path': "today_widget-min.scss",
    },

    'pvc_roe_country_details' : {
        'type': "js",
        'path': 'roe_country_panel-min.js',
        'requires': ['pvc_core', 'iq_details_panel', 'iq_form_manager', 'iq_fancyselect']
    },

    'pvc_master_data_preview': {
        'type': 'js',
        'path': 'master_data_preview_panel-min.js',
        'requires': ['pvc_core']
    }
}
