'''
Created on Oct 14, 2013

@author: marten
'''
from django.conf import settings

from basesoft.web.contrib.soap.server import IQPortalSoapServer
from basesoft.web.contrib.soap.soap import register_soap_functions as iqportal_core_functions

from pvcycle.core.soap import register_soap_functions as pvcycle_core_functions
from pvcycle.order.soap import register_soap_functions as pvcycle_order_functions

# TODO: make this dynamic.
tns = 'http://iqportal.pvcycle/'
location = '%spvcycle.core/api/' % settings.BASE_URL

def context(request):
    return request

server = IQPortalSoapServer(
    settings={
        'NAME': "pvcycle",
        'CREATE_CONTEXT': context,
        'DEBUG': settings.DEBUG
    },
    service_name="PVCYCLE",
    tns='%s' % tns,
    location='%s' % location,
    headers_schema=False
)

iqportal_core_functions('pvcycle')
pvcycle_order_functions('pvcycle')
pvcycle_core_functions('pvcycle')
