# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

from pvcycle.settings.buildbot import *
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities

DB_CONNSTR = 'mysql://buildbot:buildbot@testorix.dev.ams:3306/pvcycle_buildbot_gc?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://buildbot_ro:buildbot@testorix.dev.ams:3306/pvcycle_buildbot_gc?charset=utf8'

BUILDBOT_INSTANCE = 'pvcycle-chrome'
BUILDBOT_BASE = '/var/lib/buildbot/slaves/pvcycle-slave1/builder_gc'
BUILDBOT_DJANGO_PORT = 8011
BUILDBOT_SCHEDULER_PORT = 8050

for k,v in setup_buildbot(vars().copy()).iteritems():
    vars()[k] = v

SELENIUM_PYTHONPATH = '/var/lib/buildbot/slaves/pvcycle-slave1/builder_gc/pvcycle:' + SELENIUM_PYTHONPATH

# disable iqube
IQUBE_SERVLET = None
