
from pvcycle.settings.debug import *
from basesoft.settings.martijn import *

BASE_URL = 'http://martijn-i7.dev.bcn.basesoft.com:8001/'
SELENIUM['browserURL']  = 'http://192.168.16.26:8001/'

if commands.getoutput('hostname') == 'virtualix':
    BASE_URL = 'http://vm.office.basesoft.com:8001/'
    SELENIUM['browserURL']  = 'http://vm.office.basesoft.com:8001/'


DB_CONNSTR = 'mysql://root:f00b4r@martijn-i7.dev.bcn.basesoft.com:3306/pvcycle?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://root_ro:f00b4r@martijn-i7.dev.bcn.basesoft.com:3306/pvcycle?charset=utf8'

if commands.getoutput('hostname') == 'virtualix':
    DB_CONNSTR = DB_CONNSTR_READONLY= 'mysql://martijn:f00b4r@vm.office:3306/pvcycle_martijn?charset=utf8'


translations = False
if translations:

    # pvcycle export apps
    BASE_APPS = [
    'basesoft.web.core',
    'basesoft.web.contrib.dashboard',
    'basesoft.web.contrib.session',
    'basesoft.web.contrib.i18n',
    'basesoft.web.contrib.file',
    'basesoft.web.contrib.contact',
    'basesoft.web.contrib.license',
    'basesoft.web.contrib.mailing',
    'basesoft.web.contrib.account',
    'basesoft.web.contrib.notification',
    'basesoft.web.contrib.compose',
    'basesoft.web.contrib.order',
    'basesoft.web.contrib.basesoft',
    'basesoft.web.contrib.branding',
    'basesoft.web.contrib.theme',
    'basesoft.web.contrib.ticketing',
    'basesoft.web.contrib.wiki',
    'basesoft.web.contrib.home',
    ]
    INSTALLED_APPS = BASE_APPS + PVCYCLE_APPS

else:
    INSTALLED_APPS = BASE_APPS + IQUBE_APPS + IQREPORT_APPS + WEEE_APPS + PVCYCLE_APPS + PVCYCLE_LOGISTICS
    add_test_apps(INSTALLED_APPS)

#
#TRIAL_PROJECT = 'pvcycle'
#TRIAL_APPS = PVCYCLE_APPS
#add_test_apps(TRIAL_APPS)

#SELENIUM = SELENIUM_LOCAL
#SELENIUM = SELENIUM_VM
#SELENIUM = SELENIUM_BB

#FORM_VALIDATION = False

YUICOMPRESSOR_SERVER = ('192.168.16.26', 8123)

if not mondrian_eclipse:
    MONDRIAN_XMLA_SERVER = ('localhost', 8080)
    IQUBE_SERVLET = "http://localhost:8080/iqube-martijn-pvcycle/IQubeXmlRpcServlet"
    MONDRIAN_XMLA_PATH = '/iqube-martijn-pvcycle/xmla'

if __name__ == '__main__':

    from twisted.scripts.trial import run
    import sys

    os.environ['DJANGO_SETTINGS_MODULE'] = 'pvcycle.settings.martijn'

    sys.argv = ['test_bier.py', 'pvcycle.test.selenium.test_member.TestCase#test_german_member'.replace('#', '.')]
    run()

    # from pvcycle.test.unit.test_member import TestCase
    # tc = TestCase()
    # tc.setUp()
    # tc.test_apply_with_no_uk_vat()

    # from pvcycle.test.unit.test_declaration import TestCase
    # tc = TestCase()
    # tc.setUp()
    # tc.test_close_declaration_after_resubmit_non_compliant()

    # from pvcycle.test.unit.test_order import TestCase
    # tc = TestCase()
    # tc.setUp(); tc.test_member_administration_fee_order_with_rule()

    # from pvcycle.test.unit.test_contribution import TestCase
    # tc = TestCase()
    # # tc.setUp(); tc.test_member_guarantee_forecast()
    # # tc.setUp(); tc.test_member_guarantee_forecast_one_sl()
    # # tc.setUp(); tc.test_member_guarantee_forecast_resubmit()
    # # tc.setUp(); tc.test_member_guarantee_forecast_resubmit_same_sl()
    # tc.setUp(); tc.test_member_guarantee_forecast_resubmit_future()
    # tc.setUp(); tc.test_member_guarantee_forecast_resubmit_pending()
    # tc.setUp(); tc.test_member_guarantee_same_sl_af()

    # from pvcycle.test.unit.test_soap import TestCase
    # tc = TestCase()
    # tc.setUp()
    # tc.test_contribution_order()
